#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_init, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0xaef2a6f0, "_gpl");
SYMBOL_CRC(ata_dev_next, 0xefdffd3b, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x2400ec67, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x989cb255, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x428b235e, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0xaa2bbbc6, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x09788a44, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x08d26b19, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0x1c6e8f9e, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x310665fd, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0xa7c686cb, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x8bd50215, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x3a23f199, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0x2fc3ffd3, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0xbe8a05bc, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x3e336ae2, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x7ef231b5, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xce0d73b3, "_gpl");
SYMBOL_CRC(ata_link_online, 0x5ab94b5e, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x345415c1, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x70f0c52d, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x42d1da8a, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x3607290c, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x6b4d44cb, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x79084b4c, "_gpl");
SYMBOL_CRC(ata_port_free, 0xd143aed0, "_gpl");
SYMBOL_CRC(ata_host_put, 0xa699df02, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x96104916, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0xa52e354f, "_gpl");
SYMBOL_CRC(ata_host_start, 0xa502b9f1, "_gpl");
SYMBOL_CRC(ata_host_init, 0x2d228b1a, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xfae6b4ed, "_gpl");
SYMBOL_CRC(ata_host_register, 0xa2ee1745, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x244c2bb2, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x69ce6713, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0x5b36f7bd, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x2f551f6e, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x32c70f42, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x069c3018, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xedff1816, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0xd7a5335b, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x1cd7e46a, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x786d335d, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0xb290a5ab, "_gpl");
SYMBOL_CRC(ata_wait_register, 0xa4e989e0, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0xf0f710a0, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xca2a2510, "_gpl");
SYMBOL_CRC(ata_print_version, 0x950dc2c9, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xb43ebdd9, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x5745b71c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x627a8fb7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xf3ae17c0, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0xbfe02944, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0x2f7fa943, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xbc1b6719, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0xed10a836, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xbba82b37, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0xe77fad07, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0xf746bf41, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0xe0cce129, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0xc2d01e37, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0xc18372cb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x1e01a0b4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xc11f6194, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x7bee6ef7, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x85e78a36, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0xc1c5eebb, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x9bbfc890, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0xf0d8a9b7, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x461d68a1, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_init, 0x628d92b2, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_configure, 0x3e3fba81, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_destroy, 0x9b539c4c, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xfb433884, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x321f34a8, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x55360b82, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x243c63b0, "_gpl");
SYMBOL_CRC(ata_port_desc, 0xdf7aaaa2, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0xb1334fd1, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xa50fc4bf, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0xee0c070a, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xb00c27e1, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x4a4e4730, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x4f070996, "");
SYMBOL_CRC(ata_port_schedule_eh, 0x31b105e8, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x818a225e, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xc9c31c59, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0xc4d9a626, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x7a6953b0, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0xf140f421, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x90430c5e, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0xc3805649, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x92217c07, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x52d9d127, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x54a61313, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x1005b9a5, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x6628fff1, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x1f99b4b8, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x3925825b, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x4d27df99, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x843baa28, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x2fc4ec9d, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x136fb73b, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0xdaeaf070, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x71b84b88, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x7db369b9, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0xdd1b1e83, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x52e75b3d, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0xc540aea2, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x1c1baab3, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x2afa58a2, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x85555d39, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0x100dfc07, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x44c9059b, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xdcb3f1a1, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0xc82e3bd4, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0xe42ecd82, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0xc926cfea, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x058da1b3, "_gpl");
SYMBOL_CRC(ata_sas_sdev_configure, 0x97cc49f1, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0xc9ba694b, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x623916b3, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x0b17d023, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x5e9d7205, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x116f6d1a, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x8165f9b5, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x09a5f64c, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0xedd68e31, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x52253cb5, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0xa9606966, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x720a5287, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x94cfd047, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0xaf128d7d, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0xa5b9731d, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0x420dc670, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0xc56df997, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x2ec0c2fd, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0xdf677ec1, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x9a80f198, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x0882476e, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x19de9a3a, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xca6b3bb9, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0xf460114d, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x07716c42, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x55be13b9, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x2a103883, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x9204ef5b, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x184bab9a, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0xe42eb391, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x4d69d9de, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x025b7cfc, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0x92bdd758, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xa264c6c1, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x58692d30, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0x2620b3cd, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x7ac2656d, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x2d51c447, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x6ba5381a, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x9c5696a9, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x75f50d92, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xfe08ac90, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x20904451, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0xde9f8591, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x3e24ea8c, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xbb2d6d4a, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x707d7818, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x1837c779, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x0ab7d206, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0xc95b2342, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x8185e3c6, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x05c75f31, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x49f5ecc8, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0x2c022fe0, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xb1b2cdf2, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xb3377dd3, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xcb158954, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x0a14a68b, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0xf9a65467, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x2185eb20, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xc8bae16d, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x3060aec7, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x56ba6270, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x39c4f2a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b617bc3, "scsi_device_set_state" },
	{ 0x996fd5c6, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0xef8c5482, "trace_event_buffer_commit" },
	{ 0xefdf74ec, "pci_read_config_dword" },
	{ 0xc2ed43d7, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b38ece7, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xc6db6a8e, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x58e90817, "put_device" },
	{ 0xb122b603, "devm_free_irq" },
	{ 0x37153fbc, "pm_runtime_enable" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3f5f81b6, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x17859fac, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xa48283ce, "pcim_iomap_regions" },
	{ 0xb67e03b7, "kobject_uevent_env" },
	{ 0x78bc41a2, "sg_miter_next" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x0565fc26, "perf_trace_run_bpf_submit" },
	{ 0x5301b495, "_dev_err" },
	{ 0x71277a5b, "scsi_host_put" },
	{ 0xc07bbea3, "transport_class_unregister" },
	{ 0x0cfd45ba, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf16d8447, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x525dd574, "attribute_container_register" },
	{ 0x530612ed, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf5ccbbb7, "__devres_alloc_node" },
	{ 0xc63c4a65, "sg_miter_stop" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0x983130e1, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x583e24a5, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0xeb1cda28, "transport_configure_device" },
	{ 0x0658d284, "devres_open_group" },
	{ 0xa1d5e3e4, "scsi_resume_device" },
	{ 0x0334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdee9f35b, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2ebaeb45, "transport_add_device" },
	{ 0x665270f9, "sg_miter_start" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe21cf461, "pci_restore_state" },
	{ 0x07d08520, "bpf_trace_run1" },
	{ 0x3109e5c8, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x0b19b445, "ioread8" },
	{ 0x67d2415a, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ead8e34, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xbc9a7bfc, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x5235bc2f, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x197b0c47, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0xfb3f76f9, "dma_set_coherent_mask" },
	{ 0x9f11282d, "devm_kasprintf" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0x59d6b5b2, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x30cfb3dc, "cpu_number" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x1d54741b, "pm_runtime_forbid" },
	{ 0xf5f8aff5, "trace_event_buffer_reserve" },
	{ 0x36138705, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x685e1e34, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb44a43fe, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x71f63733, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x99210ca6, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xf962099d, "pci_disable_device" },
	{ 0xa4a800ba, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x307960c7, "dma_set_mask" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6320eeb7, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x13e070cd, "pcim_iomap_table" },
	{ 0xf01858e4, "scsi_remove_device" },
	{ 0x97e703bf, "blk_abort_request" },
	{ 0xeb02b3ba, "scsi_add_host_with_dma" },
	{ 0xa01b780b, "set_primary_fwnode" },
	{ 0x94ec8d07, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x2a457d55, "param_ops_int" },
	{ 0xa60b2484, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x643e0abf, "dev_pm_qos_expose_flags" },
	{ 0x032ac7c9, "pcim_enable_device" },
	{ 0x61591643, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x142e444e, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7494040d, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb8b9525b, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8c945707, "acpi_pm_set_device_wakeup" },
	{ 0x4652e846, "pci_bus_type" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x9f4792fe, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xac4adced, "transport_class_register" },
	{ 0x2b5657dc, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x2db7d4d9, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf4599774, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x974a4380, "devres_release_group" },
	{ 0xc5c1ff34, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x06ef6fdc, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xa898a4e2, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfe8a7c8f, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8e993937, "dmam_alloc_attrs" },
	{ 0x8f876724, "trace_raw_output_prep" },
	{ 0x667062a3, "scsi_remove_host" },
	{ 0x2c17e3a4, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x211eb3b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4396dc83, "scsi_build_sense" },
	{ 0xc93c1e30, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xaf92e495, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x03815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x973a9591, "scsi_check_sense" },
	{ 0x4e8936f8, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x48dd8583, "sdev_evt_send_simple" },
	{ 0xa93b7501, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbd9c50b0, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2eaa5eab, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb827badc, "sdev_disable_disk_events" },
	{ 0xcb37861e, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "9E7703F5D95D59FEA48F8AA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
