#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_setup_port, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_support_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_ageing_time, "_gpl", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xb8b8b8fa, "");
SYMBOL_CRC(b53_setup_port, 0xcbe4e25a, "");
SYMBOL_CRC(b53_enable_port, 0xecc722e3, "");
SYMBOL_CRC(b53_disable_port, 0x7b9133bc, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0xe51eadc3, "");
SYMBOL_CRC(b53_configure_vlan, 0x092af5de, "");
SYMBOL_CRC(b53_get_strings, 0xcd213932, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xe9dd1cb5, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x99191140, "");
SYMBOL_CRC(b53_get_sset_count, 0x7b46e188, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x1eb7df65, "");
SYMBOL_CRC(b53_port_event, 0xff828897, "");
SYMBOL_CRC(b53_vlan_filtering, 0x9b564b57, "");
SYMBOL_CRC(b53_vlan_add, 0x8ea479f1, "");
SYMBOL_CRC(b53_vlan_del, 0x4113ca97, "");
SYMBOL_CRC(b53_fdb_add, 0x2c795018, "");
SYMBOL_CRC(b53_fdb_del, 0x5a4a7793, "");
SYMBOL_CRC(b53_fdb_dump, 0xd474b016, "");
SYMBOL_CRC(b53_mdb_add, 0x07ff74b8, "");
SYMBOL_CRC(b53_mdb_del, 0x7b70d8ab, "");
SYMBOL_CRC(b53_br_join, 0xec4c1a13, "");
SYMBOL_CRC(b53_br_leave, 0x55ffd125, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xd57b0abc, "");
SYMBOL_CRC(b53_br_fast_age, 0x281e0a80, "");
SYMBOL_CRC(b53_br_flags_pre, 0xff21fb1d, "");
SYMBOL_CRC(b53_br_flags, 0xdf54010c, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xf6f73adf, "");
SYMBOL_CRC(b53_mirror_add, 0xf4d2fdcd, "");
SYMBOL_CRC(b53_mirror_del, 0xac20e4e4, "");
SYMBOL_CRC(b53_eee_init, 0xd70be112, "");
SYMBOL_CRC(b53_support_eee, 0x0ac41425, "");
SYMBOL_CRC(b53_set_mac_eee, 0x0b430420, "");
SYMBOL_CRC(b53_set_ageing_time, 0x879e18b7, "_gpl");
SYMBOL_CRC(b53_switch_alloc, 0xdd05ec55, "");
SYMBOL_CRC(b53_switch_detect, 0xb388e339, "");
SYMBOL_CRC(b53_switch_register, 0x10f5407b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70814699, "dsa_devlink_resources_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3f20fbbf, "dsa_devlink_resource_register" },
	{ 0x11cd8684, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ead8e34, "_dev_warn" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5ebfe703, "mdiobus_get_phy" },
	{ 0x1ebf92a8, "phy_ethtool_get_stats" },
	{ 0x98ae1c66, "phy_ethtool_get_sset_count" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xeeaf19d3, "phy_ethtool_get_strings" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x963c29e7, "dsa_port_phylink_mac_change" },
	{ 0x4cacaa80, "phy_init_eee" },
	{ 0x5301b495, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3da821c7, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc215a233, "_dev_info" },
	{ 0xf036d489, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0xbcecaaa4, "gpio_to_desc" },
	{ 0x5718a513, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "6E66A6FB2566B0448B7E21A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
