#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0xdb205971, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xfcf2f8ea, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xf9512285, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xade5c119, "ocelot_mact_flush" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xfc89ac66, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa278276d, "ocelot_port_pre_bridge_flags" },
	{ 0xe36ebbda, "ocelot_port_del_dscp_prio" },
	{ 0x24dc2c67, "ocelot_mrp_del_ring_role" },
	{ 0xcde313da, "ocelot_sb_tc_pool_bind_set" },
	{ 0x5b6fdae6, "dsa_fdb_present_in_other_db" },
	{ 0x74b6833e, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4cbea19e, "dsa_mdb_present_in_other_db" },
	{ 0x0703faa3, "ocelot_vcap_filter_add" },
	{ 0x623f9373, "ocelot_sb_port_pool_get" },
	{ 0x779ea8d8, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x2154120c, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x40f605e2, "ocelot_port_inject_frame" },
	{ 0x353399fd, "dev_err_probe" },
	{ 0x91aa23c6, "ocelot_mrp_add" },
	{ 0xbdac338a, "ocelot_sb_occ_port_pool_get" },
	{ 0x8b08854e, "ocelot_sb_pool_set" },
	{ 0xfaed1fe7, "ocelot_lag_fdb_del" },
	{ 0x9aed897e, "ocelot_vcap_filter_del" },
	{ 0xded9f84f, "ocelot_cls_flower_stats" },
	{ 0x4d651f4c, "ocelot_lock_inj_grp" },
	{ 0x2833ee0d, "ocelot_lock_xtr_grp_bh" },
	{ 0xa23c4391, "ocelot_sb_pool_get" },
	{ 0x6cbe0108, "ocelot_lock_xtr_grp" },
	{ 0x57c2672f, "ocelot_phylink_mac_link_up" },
	{ 0x755c72a4, "ocelot_deinit_port" },
	{ 0xe76eb566, "ocelot_can_inject" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x4d3db41e, "ocelot_port_mirror_add" },
	{ 0x748c86ca, "ocelot_fdb_dump" },
	{ 0x5a98c975, "ocelot_vlan_prepare" },
	{ 0x7f9ccbd6, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8a4bb2b7, "ocelot_set_ageing_time" },
	{ 0xdfb4b6a8, "__ocelot_rmw_ix" },
	{ 0xf3d61004, "devm_kmalloc" },
	{ 0x6ae85a35, "ocelot_hwstamp_set" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x25dcca84, "ocelot_port_policer_del" },
	{ 0x007f8f8d, "ocelot_port_lag_change" },
	{ 0xce32e0a7, "consume_skb" },
	{ 0x240b8cbf, "ocelot_port_policer_add" },
	{ 0x26a93836, "ocelot_port_mdb_add" },
	{ 0x3a6b15b7, "ocelot_vlan_add" },
	{ 0x992a33eb, "ocelot_sb_tc_pool_bind_get" },
	{ 0xc0b96a37, "ocelot_port_bridge_flags" },
	{ 0x56ea884a, "ocelot_devlink_sb_unregister" },
	{ 0xdcb668f9, "ocelot_port_bridge_leave" },
	{ 0x15a6bfe2, "ocelot_port_set_maxlen" },
	{ 0xbd4ae8a0, "ocelot_vcap_filter_replace" },
	{ 0x7ab8a0a2, "ocelot_get_max_mtu" },
	{ 0x944b2e49, "regmap_fields_update_bits_base" },
	{ 0x63d28b01, "ocelot_sb_occ_snapshot" },
	{ 0xe5d83790, "ocelot_get_ts_info" },
	{ 0x609d47cc, "ocelot_sb_occ_max_clear" },
	{ 0x11a57c8f, "ocelot_port_get_mm" },
	{ 0x3c21fa70, "ocelot_ptp_gettime64" },
	{ 0x556d9d7a, "ocelot_unlock_inj_grp" },
	{ 0x154c95a5, "ocelot_get_strings" },
	{ 0xf036d489, "dsa_register_switch" },
	{ 0x037a0cba, "kfree" },
	{ 0xed19a8fe, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x0fbb05cc, "ocelot_unlock_xtr_grp_bh" },
	{ 0x3abdf66a, "ocelot_port_add_dscp_prio" },
	{ 0x21353218, "ocelot_drain_cpu_queue" },
	{ 0x10243411, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f08941c, "__ocelot_read_ix" },
	{ 0xf4fe9d23, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2544de9a, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xebb65e5f, "ocelot_get_sset_count" },
	{ 0xdd5e3c12, "ocelot_migrate_mdbs" },
	{ 0x1b04f45e, "ocelot_hwstamp_get" },
	{ 0xc1381f84, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x02feed4c, "ocelot_port_bridge_join" },
	{ 0x8b0ed46f, "ocelot_fdb_add" },
	{ 0xf74623dd, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0xef0b987f, "ocelot_xtr_poll_frame" },
	{ 0xa854b72b, "ocelot_port_get_default_prio" },
	{ 0xb5412158, "ptp_classify_raw" },
	{ 0x4fed481c, "ocelot_port_set_default_prio" },
	{ 0xfa47c93f, "dsa_tag_8021q_register" },
	{ 0x596249e6, "ocelot_port_get_mm_stats" },
	{ 0xd2588226, "ocelot_deinit" },
	{ 0x5301b495, "_dev_err" },
	{ 0xf5c2dcb9, "ocelot_port_get_ts_stats" },
	{ 0x2fca2a1f, "ocelot_vlan_del" },
	{ 0xa27f41bc, "sk_skb_reason_drop" },
	{ 0xe9b763de, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xecdc3442, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea9d93b1, "ocelot_cls_flower_destroy" },
	{ 0x2152e2e0, "ocelot_port_vlan_filtering" },
	{ 0x1a43b667, "ocelot_port_get_rmon_stats" },
	{ 0xab681e71, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x050ec8e4, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xed6e68be, "ocelot_bridge_stp_state_set" },
	{ 0xd51a9b34, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f49c701, "netif_rx" },
	{ 0xea91abfc, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x2f9c8d99, "ocelot_fdb_del" },
	{ 0xbb9bf7af, "ocelot_phylink_mac_link_down" },
	{ 0x8ef67d4e, "ocelot_port_lag_join" },
	{ 0x400872be, "ocelot_port_get_eth_phy_stats" },
	{ 0x97287df5, "ocelot_port_lag_leave" },
	{ 0x256acb0d, "ocelot_mrp_add_ring_role" },
	{ 0xe5da15a4, "ocelot_port_set_mm" },
	{ 0x2833a79a, "ocelot_deinit_timestamp" },
	{ 0x3d93aabf, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x78efe1f8, "ocelot_port_get_stats64" },
	{ 0x34a2a6d6, "ocelot_port_get_dscp_prio" },
	{ 0x3b4b7734, "ocelot_port_mdb_del" },
	{ 0x35f767cc, "ocelot_port_get_eth_mac_stats" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "3A7083E660CB741335C796F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
