#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x0ec8ea2e, "");
SYMBOL_CRC(prestera_device_unregister, 0xc58a0955, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9eaceb88, "eth_type_trans" },
	{ 0x4f69bf16, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5a90f58d, "dma_map_page_attrs" },
	{ 0xd309ef93, "napi_complete_done" },
	{ 0xab18ce6a, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x05a7b306, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4893c12c, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa87ef79d, "__alloc_skb" },
	{ 0xbc5b3a4b, "switchdev_bridge_port_offload" },
	{ 0x4d7fac0d, "flow_block_cb_incref" },
	{ 0x884a2af6, "flow_rule_match_ports_range" },
	{ 0xc215a233, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4f80faff, "free_fib_info" },
	{ 0x020583db, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xdde2e122, "vlan_dev_real_dev" },
	{ 0x4b980ecd, "__dev_get_by_index" },
	{ 0xea55d9b3, "devlink_port_unregister" },
	{ 0x5301b495, "_dev_err" },
	{ 0xaa0b0c33, "init_net" },
	{ 0x01571043, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa27f41bc, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5ac138e2, "flow_block_cb_decref" },
	{ 0x7ea9f66b, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe6afaecc, "napi_enable" },
	{ 0x78c83ff2, "register_netdev" },
	{ 0x5155b19c, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x288800da, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc07edc75, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x79707731, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x7ead8e34, "_dev_warn" },
	{ 0xb8b124f1, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x31450b4b, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x53cb1a2f, "devlink_trap_report" },
	{ 0xebaac8e9, "__neigh_event_send" },
	{ 0x0a3a608d, "flow_block_cb_alloc" },
	{ 0xb24583fa, "switchdev_handle_port_obj_add" },
	{ 0x976c057b, "fib_alias_hw_flags_set" },
	{ 0x4ce6de41, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0cfa76d, "phylink_pcs_change" },
	{ 0x0d6ca41c, "__neigh_create" },
	{ 0x992db927, "netdev_walk_all_upper_dev_rcu" },
	{ 0xaa6d918f, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc1c98d47, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xefc2e7a5, "alloc_netdev_dummy" },
	{ 0x76c0f524, "neigh_destroy" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xf715fded, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdb440eb8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9301293, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x47cfc2a5, "netdev_master_upper_dev_get_rcu" },
	{ 0x49596e89, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x1a1cd8cb, "netdev_master_upper_dev_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf6c54196, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x26c4cb8b, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x00d351cd, "devlink_priv" },
	{ 0x1db8f075, "devlink_port_register_with_ops" },
	{ 0xd1a41b8f, "netif_carrier_on" },
	{ 0xb21ff883, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xbbda295d, "devlink_trap_groups_register" },
	{ 0x1f41d227, "arp_tbl" },
	{ 0x75f2e0c4, "phylink_ethtool_ksettings_get" },
	{ 0xc207f3f2, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2cef0b3c, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc1368f96, "napi_schedule_prep" },
	{ 0x09b60d97, "__fib_lookup" },
	{ 0x441fb2e4, "napi_disable" },
	{ 0x4a33ea78, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x526ce87c, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc31d8eaf, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xf7f2f6fb, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfe9cd56a, "alloc_etherdev_mqs" },
	{ 0xe50095c6, "netdev_lower_get_next" },
	{ 0xa10e34d8, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5cc1cc6d, "br_vlan_enabled" },
	{ 0x297c7512, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe3ba3e5e, "devlink_unregister" },
	{ 0xee3e546f, "dma_pool_create" },
	{ 0xc6cfd86e, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9db60d54, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5676432c, "register_fib_notifier" },
	{ 0x8a419a06, "l3mdev_fib_table_rcu" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x809a7114, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x48d1c729, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5f6a6fd4, "flow_rule_match_eth_addrs" },
	{ 0xd25a0929, "devlink_port_attrs_set" },
	{ 0x3bf0f246, "flow_block_cb_priv" },
	{ 0xfa689864, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe5a24f9e, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xde257c5a, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x9d014af1, "devlink_free" },
	{ 0x0302a601, "netif_napi_add_weight_locked" },
	{ 0x6665dfb9, "netdev_warn" },
	{ 0xf4f73681, "flow_rule_match_ipv4_addrs" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x119b9325, "fib_table_lookup" },
	{ 0x037b40c5, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x95b62779, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74873ba6, "pskb_expand_head" },
	{ 0xd21b91a9, "switchdev_handle_port_attr_set" },
	{ 0xd784a808, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x996fd5c6, "dev_driver_string" },
	{ 0x7720f7e3, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "CF18C2CF89A5BF32ED27FAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
