#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x58d760df, "");
SYMBOL_CRC(ppp_register_channel, 0x5f0f3ab3, "");
SYMBOL_CRC(ppp_unregister_channel, 0x4f0781f8, "");
SYMBOL_CRC(ppp_channel_index, 0x00914571, "");
SYMBOL_CRC(ppp_unit_number, 0x401978a7, "");
SYMBOL_CRC(ppp_dev_name, 0xa4f57030, "");
SYMBOL_CRC(ppp_input, 0x96e05316, "");
SYMBOL_CRC(ppp_input_error, 0x6a3345de, "");
SYMBOL_CRC(ppp_output_wakeup, 0x0fe552e6, "");
SYMBOL_CRC(ppp_register_compressor, 0x594ea1fe, "");
SYMBOL_CRC(ppp_unregister_compressor, 0xd3c16e50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x5b2d8663, "register_pernet_device" },
	{ 0x683fdfd3, "__register_chrdev" },
	{ 0x3224cbff, "class_register" },
	{ 0xebf71e77, "rtnl_link_register" },
	{ 0x8fec555a, "class_unregister" },
	{ 0x25d70cd7, "device_create" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9f2cd7ee, "unregister_pernet_device" },
	{ 0x827a82fc, "rtnl_link_unregister" },
	{ 0xe4858603, "device_destroy" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x67a2a1e1, "bpf_prog_create" },
	{ 0xf017eb1f, "const_current_task" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x01000e51, "schedule" },
	{ 0xb8ce42b8, "__tracepoint_sched_set_state_tp" },
	{ 0x3fc8272a, "skb_dequeue" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4d9efa18, "iov_iter_init" },
	{ 0x80a5fc33, "skb_copy_datagram_iter" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x590509a1, "pcpu_alloc_noprof" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd6b144de, "netdev_name_in_use" },
	{ 0xb22ccdad, "register_netdevice" },
	{ 0xea722013, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6d3c6c6c, "fput" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8a5aaf06, "__put_net" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x31450b4b, "__pskb_pull_tail" },
	{ 0x8225b32b, "__netdev_alloc_skb" },
	{ 0xda14a2d4, "skb_copy_bits" },
	{ 0xce32e0a7, "consume_skb" },
	{ 0x256807c6, "slhc_uncompress" },
	{ 0x74873ba6, "pskb_expand_head" },
	{ 0x6e209d4d, "slhc_toss" },
	{ 0x4da03ef5, "slhc_remember" },
	{ 0x7ea9f66b, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x037b40c5, "skb_pull_rcsum" },
	{ 0xc1a39af5, "skb_scrub_packet" },
	{ 0x5f49c701, "netif_rx" },
	{ 0x01571043, "skb_pull" },
	{ 0x448f79d1, "skb_trim" },
	{ 0xfc3b4fa4, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc7bc51b7, "slhc_compress" },
	{ 0x73aac414, "netif_tx_wake_queue" },
	{ 0x1cd0f26a, "skb_queue_head" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf1f3e39f, "alloc_netdev_mqs" },
	{ 0x6e65c36e, "slhc_init" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x719435af, "param_ops_bool" },
	{ 0xe9686bd4, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb54871ec, "module_put" },
	{ 0x80f552bf, "slhc_free" },
	{ 0x14b27c4d, "skb_queue_purge_reason" },
	{ 0xff4c8b0d, "bpf_prog_destroy" },
	{ 0xa27f41bc, "sk_skb_reason_drop" },
	{ 0x907cd046, "free_percpu" },
	{ 0x288800da, "free_netdev" },
	{ 0x95b62779, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa87ef79d, "__alloc_skb" },
	{ 0xc6cfd86e, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd0caf760, "skb_queue_tail" },
	{ 0x40da5438, "unregister_netdevice_queue" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x191dbc64, "ns_capable" },
	{ 0x02ac3ee5, "try_module_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "87D47EB17B91768B4270F86");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
