#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x89433084, "rt2x00usb_disable_radio" },
	{ 0x62799b7a, "rt2x00usb_disconnect" },
	{ 0x91efbc4f, "rt2x00usb_suspend" },
	{ 0x7c192a97, "rt2x00usb_resume" },
	{ 0xdb872c87, "rt2x00usb_initialize" },
	{ 0xc16d0ea4, "rt2x00usb_uninitialize" },
	{ 0x2dd24695, "rt2x00usb_clear_entry" },
	{ 0x5b13e2e8, "rt2x00usb_watchdog" },
	{ 0x2f2042db, "rt2x00usb_kick_queue" },
	{ 0x4972075d, "rt2x00usb_flush_queue" },
	{ 0xfff1f377, "rt2x00mac_tx" },
	{ 0xadd90693, "rt2x00mac_start" },
	{ 0x18665fcb, "rt2x00mac_stop" },
	{ 0x375db33e, "rt2x00mac_add_interface" },
	{ 0x023832b3, "rt2x00mac_remove_interface" },
	{ 0xceccabd8, "rt2x00mac_config" },
	{ 0x1ae7d656, "rt2x00mac_bss_info_changed" },
	{ 0xe94cc41b, "rt2x00mac_configure_filter" },
	{ 0x8177492f, "rt2x00mac_set_tim" },
	{ 0xe7e464e4, "rt2x00mac_set_key" },
	{ 0x95b0883f, "rt2x00mac_sw_scan_start" },
	{ 0x7a3bc531, "rt2x00mac_sw_scan_complete" },
	{ 0xf4f872bf, "rt2x00mac_get_stats" },
	{ 0x5d36ff0e, "rt2x00mac_conf_tx" },
	{ 0x5e5146c0, "rt2x00mac_rfkill_poll" },
	{ 0x1c60f854, "rt2x00mac_flush" },
	{ 0x7c89bc15, "rt2x00mac_set_antenna" },
	{ 0x82350824, "rt2x00mac_get_antenna" },
	{ 0x3ab107b3, "rt2x00mac_get_ringparam" },
	{ 0xc4b902bc, "rt2x00mac_tx_frames_pending" },
	{ 0x9a0a94a8, "ieee80211_emulate_add_chanctx" },
	{ 0x530ba7fa, "ieee80211_emulate_remove_chanctx" },
	{ 0x46069a5f, "ieee80211_emulate_change_chanctx" },
	{ 0x5971c3ca, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2dad3d79, "ieee80211_handle_wake_tx_queue" },
	{ 0x719435af, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0a3a944, "usb_register_driver" },
	{ 0xcc494cc6, "rt2x00usb_probe" },
	{ 0x69acdf38, "memcpy" },
	{ 0x448f79d1, "skb_trim" },
	{ 0xce32e0a7, "consume_skb" },
	{ 0x655f57b0, "usb_submit_urb" },
	{ 0x51dd82a7, "usb_deregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x50702dae, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5301b495, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xde0edd5a, "rt2x00usb_vendor_request_buff" },
	{ 0x078c8d6c, "rt2x00usb_vendor_request" },
	{ 0xef1b76c5, "rt2x00lib_set_mac_address" },
	{ 0xc215a233, "_dev_info" },
	{ 0x3da821c7, "__dynamic_dev_dbg" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x7ea9f66b, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
