#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0x4628d660, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0xf5469e9e, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0x76e559d8, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0x2d3d0516, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0xd792abe9, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x40604b09, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0xfe3bafea, "_gpl");
SYMBOL_CRC(inet_diag_register, 0xfd263904, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x31994d0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x448f79d1, "skb_trim" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x02ac3ee5, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x74873ba6, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb54871ec, "module_put" },
	{ 0x9de744be, "__netlink_dump_start" },
	{ 0xf1b00cda, "sock_diag_unregister" },
	{ 0xc3d18080, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x3a4fa112, "sock_diag_register" },
	{ 0x8145a42c, "sock_diag_register_inet_compat" },
	{ 0x4abeffff, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0xd3e8c8d7, "inet6_lookup" },
	{ 0x5560dcc3, "sock_diag_check_cookie" },
	{ 0x793f6b3e, "sock_gen_put" },
	{ 0x6d3b4848, "__inet_lookup_established" },
	{ 0xc1c191fa, "__inet_lookup_listener" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9732b395, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x967ffdae, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5e55132d, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xa87ef79d, "__alloc_skb" },
	{ 0xa27f41bc, "sk_skb_reason_drop" },
	{ 0x81132a9f, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf7d31787, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x43162fc0, "sock_diag_save_cookie" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xb34ae242, "sock_i_uid" },
	{ 0x58a11b82, "from_kuid_munged" },
	{ 0x0cb0de12, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "794898026EF323302DE4DC4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
