#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x95a4371e, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xf42a3f9a, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x079c39bd, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x71cabc30, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x466e00e9, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xa08e2c87, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xcaae71ff, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x5239ddde, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x356f1412, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xeff1d894, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa34899d7, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x171be763, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc8a01908, "iptunnel_xmit" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfd437567, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x448f79d1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8253081b, "__dynamic_netdev_dbg" },
	{ 0x151e13e4, "dst_cache_get_ip4" },
	{ 0xe84b2f46, "sock_create_kern" },
	{ 0x4d059d07, "call_netdevice_notifiers" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3acf5ded, "metadata_dst_alloc" },
	{ 0xad176551, "dst_release" },
	{ 0xae951802, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x65ee1302, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc3a25498, "dst_cache_set_ip4" },
	{ 0xf5afd656, "kernel_bind" },
	{ 0xea8da222, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0x6665dfb9, "netdev_warn" },
	{ 0x76e81632, "udp_tunnel_nic_ops" },
	{ 0xbb3c0c51, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
