#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sof_lnl_set_ops, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(lnl_dsp_check_sdw_irq, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(lnl_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_LNL");
KSYMTAB_FUNC(lnl_sdw_check_wakeen_irq, "", "SND_SOC_SOF_INTEL_LNL");

SYMBOL_CRC(sof_lnl_set_ops, 0x4bd5bf40, "");
SYMBOL_CRC(lnl_dsp_check_sdw_irq, 0x3a817709, "");
SYMBOL_CRC(lnl_dsp_disable_interrupts, 0x8271da27, "");
SYMBOL_CRC(lnl_sdw_check_wakeen_irq, 0x9f08d068, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd5466b1, "pci_unregister_driver" },
	{ 0x085e8adf, "hdac_bus_eml_check_interrupt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90811a5, "mtl_dsp_cl_init" },
	{ 0x90feec74, "mtl_enable_interrupts" },
	{ 0xa604e598, "hda_pci_intel_probe" },
	{ 0x7805adb5, "debugfs_create_bool" },
	{ 0x0a12ba12, "sof_pci_remove" },
	{ 0xb7767713, "mtl_disable_ipc_interrupts" },
	{ 0x912ae6cd, "hdac_bus_eml_enable_offload" },
	{ 0x7ead8e34, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd22f5c, "snd_soc_acpi_intel_lnl_machines" },
	{ 0xf2cde226, "hda_dsp_runtime_resume" },
	{ 0x8c9c5ab3, "hda_dsp_remove" },
	{ 0x8d71194a, "sof_pci_shutdown" },
	{ 0x70248b32, "hda_sdw_process_wakeen_common" },
	{ 0x02e5cc03, "hda_dsp_resume" },
	{ 0xb04ed2e4, "sof_mtl_set_ops" },
	{ 0xdabed265, "hda_sdw_check_lcount_ext" },
	{ 0x8285986e, "sof_pci_pm" },
	{ 0xcc81e093, "mtl_power_down_dsp" },
	{ 0x4ba5816e, "snd_soc_acpi_intel_lnl_sdw_machines" },
	{ 0x169364a9, "hda_dsp_probe" },
	{ 0x5d552f1e, "__pci_register_driver" },
	{ 0x3eaa0695, "mtl_dsp_check_ipc_irq" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-mlink,snd-sof-pci-intel-mtl,snd-sof-intel-hda-generic,snd-sof-pci,snd-sof,snd-soc-acpi-intel-match,snd-sof-intel-hda-common");

MODULE_ALIAS("pci:v00008086d0000A828sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6DAE1DE6787379071F17A12");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
