#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(taprio_offload_get, "_gpl", "");
KSYMTAB_FUNC(taprio_offload_free, "_gpl", "");

SYMBOL_CRC(taprio_offload_get, 0xa1b21d70, "_gpl");
SYMBOL_CRC(taprio_offload_free, 0xe17db4ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9c9bbf1b, "__netif_schedule" },
	{ 0xda14a2d4, "skb_copy_bits" },
	{ 0x7bbb92c5, "netif_skb_features" },
	{ 0xc331a316, "__skb_gso_segment" },
	{ 0xce32e0a7, "consume_skb" },
	{ 0x24158ddb, "qdisc_tree_reduce_backlog" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84b6d74c, "kmalloc_caches" },
	{ 0x0af2824e, "__kmalloc_cache_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x988dff06, "netdev_reset_tc" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x448f79d1, "skb_trim" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x50e23a69, "mqprio_validate_qopt" },
	{ 0xd110eae9, "netdev_set_num_tc" },
	{ 0xddac6daa, "netdev_set_tc_queue" },
	{ 0x60099be3, "qdisc_offload_query_caps" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6c2e12cf, "mqprio_qopt_reconstruct" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa59d46b5, "mqprio_fp_to_offload" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe01bed9e, "pfifo_qdisc_ops" },
	{ 0x9cd5526d, "qdisc_create_dflt" },
	{ 0x27f74410, "qdisc_hash_add" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x5e56131a, "gnet_stats_copy_basic" },
	{ 0xad3fbb11, "gnet_stats_copy_queue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x98f1e0b5, "register_qdisc" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xccda3ae2, "__ethtool_get_link_ksettings" },
	{ 0x8253081b, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x3c565705, "qdisc_reset" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a31bbdc, "unregister_qdisc" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa9ebabf, "ethtool_dev_mm_supported" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x037a0cba, "kfree" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x73e1db12, "dev_activate" },
	{ 0xf9775e22, "dev_graft_qdisc" },
	{ 0xb5978582, "qdisc_put" },
	{ 0xf7884440, "dev_deactivate" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x39db19d4, "module_layout" },
};

MODULE_INFO(depends, "sch_mqprio_lib");


MODULE_INFO(srcversion, "EFD14DACB581F7A7B12E364");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
